// import js document
function _import(name)
{
	document.write("<script src='js/"+name+".js'></script>");
}
function _using(name)
{
	document.write("<script src='js/"+name+".js'></script>");
}

document.ondragstart=function()
{
	return false;	
}
window.history.go=function(id)
{
	if(id==-1)
	{
		if(parent.historyList)
		{
/*			var tempList = parent.historyList;
			tempList = tempList.slice(0,-1);
			var tempA = new Array([""]);
			tempList = tempA.concat(tempList);
			parent.historyList = tempList;
			var aaa = parent.historyList[9];
			tempList = tempList.slice(0,-1);
			var tempB = new Array([""]);
			tempList = tempB.concat(tempList);
			parent.historyList = tempList;
			parent.jumpPageTo(aaa);*/
			
			//parent.tempArrUrlList = new Array([""]);
			//parent.historyList=parent.tempArrUrlList.concat(parent.historyList);
			parent.historyList[10]=parent.historyList[9].toString();
			parent.historyList[9]=parent.historyList[8].toString();
			parent.historyList[8]=parent.historyList[7].toString();
			parent.historyList[7]=parent.historyList[6].toString();
			parent.historyList[6]=parent.historyList[5].toString();
			parent.historyList[5]=parent.historyList[4].toString();
			parent.historyList[4]=parent.historyList[3].toString();
			parent.historyList[3]=parent.historyList[2].toString();
			parent.historyList[2]=parent.historyList[1].toString();
			parent.historyList[1]=parent.historyList[0].toString();
			parent.historyList[0]=""

			parent.historyList.pop();
			parent.jumpPageTo(parent.historyList[parent.historyList.length-1],true);
			
			
		}
		else
		{
			alert(document.referrer);
		}
	}
	else
	{
		alert(document.referrer);
	}
}
function DCNDebug(debugString){
	var the_date = new Date("December 31, 2023");
	var the_cookie_date =the_date.toGMTString();
	try{
		var firstCookie = "A_cookie";
		var firstString = "";
		var secondCookie = "B_cookie";
		var secondString = "";
		var firstChar,lastChar;
		var theBigCookie = document.cookie;
		firstChar = theBigCookie.indexOf(firstCookie);
		if(firstChar != -1){
			firstChar += firstCookie.length + 1;
			lastChar = theBigCookie.indexOf(';', firstChar);
			if(lastChar == -1) lastChar = theBigCookie.length;
			firstString = theBigCookie.substring(firstChar, lastChar);
		}
		else{firstString="1";}
		firstChar = theBigCookie.indexOf(secondCookie);
		if(firstChar != -1){
			firstChar += secondCookie.length + 1;
			lastChar = theBigCookie.indexOf(';', firstChar);
			if(lastChar == -1) lastChar = theBigCookie.length;
			secondString = theBigCookie.substring(firstChar, lastChar);
			//alert(secondString);
		}
		if(secondString.length>1000){
			firstString = secondString;
			secondString = "";
		}
		secondString+=debugString;
		document.cookie = firstCookie+"="+firstString+";expires=" + the_cookie_date;
		document.cookie = secondCookie+"="+secondString+";expires=" + the_cookie_date;
	}
	catch(e){return;}
}
DCNDebug(this.location);